import request from "/utils/request.js";
export function useInvoiceApi() { 
	return {
		// 发票申请
		InvoiceApplyFor: (data) => {
			return request.request({
				url: '/ClientInvoice/InvoiceApplyFor',
				method: 'post',
				data,
			});
		},
		// 获取可开票订单列表
		GetCanInvoiceList: (data) => {
			return request.request({
			    url: '/ClientOrder/GetCanInvoiceList',
				method: 'get',
				data,
			}
			)
		},
		// 获取申请开票列表
		GetInvoiceApplyFor: (data) => {
			return request.request({
			    url: '/ClientInvoice/GetInvoiceApplyFor',
				method: 'get',
				data,
			}
			)
		},
		// 取消开票
		CancelInvoiceApplyFor: (data) => {
			return request.request({
			    url: '/ClientInvoice/CancelInvoiceApplyFor',
				method: 'get',
				data,
			})
		},
		// 获取申请开票详情
		GetInvoiceApplyForById: (data) => {
			return request.request({
			    url: '/ClientInvoice/GetInvoiceApplyForById',
				method: 'get',
				data,
			})
		},
		// 修改发票
		UpdateInvoiceApplyFor: (data) => {
			return request.request({
			    url: '/ClientInvoice/UpdateInvoiceApplyFor',
				method: 'post',
				data,
			})
		}
	}
}